Subject: [Fot] Small journal Spit crank

From: EDWARD BARNARD <[email-masked]>
Date: Tue, 1 Jul 2014 05:14:59 -0700

Group: I originally posted this in late May but the last never accepted it.
During my cleaning of house this past weekend I came upon a small journal Spit 1300 crank on the shelf. It has been turned to .010/.010 and is ready for use. Someone a while ago asked for or about one and I can't remember who it was. If anyone desires this please email me; in the meantime I'll give a look see to find out what I paid for the machining. I also have a couple of 1147cc cranks too if anyone is using them in their 1300's.
Thanks - Ed-
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive